MsWrdStruct::Section Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MsWrdStruct::Section Struct Reference

the section structure of a Microsoft Word file More...

`#include <MsWrdStruct.hxx>`

## Public Member Functions
| Section ()
| constructor More...
MWAWSection | getSection (double pageWidth) const
| returns a section More...
void | insert (Section const &sec)
| insert the new values More...
bool | read (MWAWInputStreamPtr &input, long endPos)
| try to read a data More...
bool | readV3 (MWAWInputStreamPtr &input, long endPos)
| try to read a data ( v3 code ) More...

## Public Attributes
MWAWVariable< int > | m_id
| the identificator More...
MWAWVariable< int > | m_type
| the type More...
MWAWVariable< int > | m_paragraphId
| the paragraph id More...
MWAWVariable< int > | m_col
| the num of columns More...
MWAWVariable< float > | m_colSep
| the spacing between column More...
MWAWVariable< bool > | m_colBreak
| only a column break More...
MWAWVariable< int > | m_flag
| some flag ( in the main position) More...
std::string | m_extra
| the errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &section)
| operator<< More...

## Detailed Description

the section structure of a Microsoft Word file

## Constructor & Destructor Documentation

## ◆ Section()

MsWrdStruct::Section::Section | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getSection()

MWAWSection MsWrdStruct::Section::getSection | ( | double | pageWidth | ) | const

returns a section

Referenced by MsWrdTextStyles::setProperty().

## ◆ insert()

void MsWrdStruct::Section::insert | ( | Section const & | sec | ) |
| inline

insert the new values

## ◆ read()

bool MsWrdStruct::Section::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos
| ) |  |

try to read a data

Referenced by MsWrdTextStyles::readSection().

## ◆ readV3()

bool MsWrdStruct::Section::readV3 | ( | MWAWInputStreamPtr & | input,
|  | long | endPos
| ) |  |

try to read a data ( v3 code )

Referenced by MsWrdTextStyles::readSection().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | section
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_col

MWAWVariable<int> MsWrdStruct::Section::m_col

the num of columns

Referenced by getSection(), insert(), MsWrdStruct::operator<<(), read(), readV3(), and MsWrdTextStyles::setProperty().

## ◆ m_colBreak

MWAWVariable<bool> MsWrdStruct::Section::m_colBreak

only a column break

Referenced by insert(), MsWrdStruct::operator<<(), read(), and MsWrdTextStyles::setProperty().

## ◆ m_colSep

MWAWVariable<float> MsWrdStruct::Section::m_colSep

the spacing between column

Referenced by getSection(), insert(), MsWrdStruct::operator<<(), read(), and readV3().

## ◆ m_extra

std::string MsWrdStruct::Section::m_extra

the errors

Referenced by insert(), MsWrdStruct::operator<<(), read(), and readV3().

## ◆ m_flag

MWAWVariable<int> MsWrdStruct::Section::m_flag

some flag ( in the main position)

Referenced by insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readSection().

## ◆ m_id

MWAWVariable<int> MsWrdStruct::Section::m_id

the identificator

Referenced by insert(), and MsWrdTextStyles::readSection().

## ◆ m_paragraphId

MWAWVariable<int> MsWrdStruct::Section::m_paragraphId

the paragraph id

Referenced by MsWrdTextStyles::getSectionFont(), MsWrdTextStyles::getSectionParagraph(), insert(), and MsWrdStruct::operator<<().

## ◆ m_type

MWAWVariable<int> MsWrdStruct::Section::m_type

the type

Referenced by insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readSection().

The documentation for this struct was generated from the following files:

- MsWrdStruct.hxx
- MsWrdStruct.cxx